Bug 910494 (kblackbox)

Summary: Review Request: kblackbox - A game of hide and seek played on a grid of boxes
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 11:10:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:20:45 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kblackbox.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kblackbox-4.10.0-1.fc18.src.rpm
Description: A game of hide and seek played on a grid of boxes 
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-13 18:32:16 EST
Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc.
Only README where authors listed makes sense to include in %doc but 
README.PACKAGERS should be removed (useless file).

More detailed %description from documentation:

KBlackBox is a game of hide and seek played on a grid of boxes.
The computer has hidden several balls within this box.
By shooting beams into the box and observing where they emerge
it is possible to deduce the positions of the hidden balls.
The fewer beams you use and the quicker you are to find the balls,
the better (the lower) your score.

rpmlint output:
$ rpmlint kblackbox-4.10.0-1.fc18.i686.rpm kblackbox-debuginfo-4.10.0-1.fc18.i686.rpm kblackbox-4.10.0-1.fc18.src.rpm kblackbox.spec 
kblackbox.i686: W: no-manual-page-for-binary kblackbox
kblackbox.src:66: W: macro-in-comment %{name}
kblackbox.src:67: W: macro-in-comment %{name}
kblackbox.src:70: W: macro-in-comment %{name}
kblackbox.spec:66: W: macro-in-comment %{name}
kblackbox.spec:67: W: macro-in-comment %{name}
kblackbox.spec:70: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 7 warnings.

Commented lines should be removed.
Comment 2 Rex Dieter 2013-02-14 07:50:45 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kblackbox.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kblackbox-4.10.0-2.fc18.src.rpm

%changelog
* Thu Feb 14 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- License: GPLv2+ and GFDL
- %%doc COPYING* README
- %%files: remove commented-out lines
Comment 3 nucleo 2013-02-14 07:58:00 EST
MUST Items:
+ rpmlint output
  $ rpmlint kblackbox-4.10.0-1.fc18.i686.rpm kblackbox-debuginfo-4.10.0-1.fc18.i686.rpm kblackbox-4.10.0-2.fc18.src.rpm kblackbox.spec 
    kblackbox.i686: W: no-manual-page-for-binary kblackbox
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kblackbox-4.10.0.tar.xz
+ spec file name kblackbox.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: ca3ca7e4975dc269c10efbc671d889b4  kblackbox-4.10.0.tar.xz
  SHA1: 5babfbd66211655da8a45155fd136451a6d782ca  kblackbox-4.10.0.tar.xz
  SHA256: 8f7ce51813d49ebc9a7c61b253e49a9645aaf91bc3e0eec0fdef190a96fe2b8e  kblackbox-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, game pics under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kblackbox.desktop file for the GUI app kblackbox present
+ desktop-file-validate is used in %check and the kblackbox.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kblackbox's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, README)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 Rex Dieter 2013-02-14 08:20:44 EST
New Package SCM Request
=======================
Package Name: kblackbox
Short Description: A game of hide and seek played on a grid of boxes
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 5 Jon Ciesla 2013-02-14 10:05:14 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-02-14 11:10:56 EST
imported, thanks.